
Foreman - Feature #4672

Add possibility to render template name within a template

03/17/2014 10:00 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1302

  

Description

I need this to get my "Pre" "Post" snippets working properly.

Related issues:

Related to Foreman - Bug #10338: Using template_name variable in template cau... New 04/30/2015

Associated revisions

Revision 4d681ab1 - 10/01/2014 04:09 PM - Lukas Zapletal

fixes #4672 - added template_name template variable

History

#1 - 03/17/2014 10:03 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1302

#2 - 03/17/2014 10:05 AM - Dominic Cleal

- Target version set to 1.9.0

#3 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#6 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#7 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#8 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#9 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0
https://github.com/theforeman/foreman/pull/1302


#10 - 07/14/2014 08:00 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1302 added

#11 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#12 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#13 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#14 - 09/30/2014 10:36 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#15 - 10/01/2014 05:03 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4d681ab1293641d52667da1fa63f30e011ec83cf.

#16 - 10/02/2014 04:18 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#17 - 05/01/2015 03:24 AM - Dominic Cleal

- Related to Bug #10338: Using template_name variable in template causes error in Build Review added
